=== debian/changelog ===
qt6-svg (6.9.2-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.

 -- Patrick Franz <deltaone@debian.org>  Sun, 26 Oct 2025 12:51:48 +0100

qt6-svg (6.9.2-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Revert patch that fixes CVE-2025-10729 (Closes: #1117896).
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Sun, 12 Oct 2025 16:12:48 +0200

qt6-svg (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Backport patch to fix CVE-2025-10728 (Closes: #1117447).
  * Backport patch to fix CVE-2025-10729 (Closes: #1117445).

 -- Patrick Franz <deltaone@debian.org>  Tue, 07 Oct 2025 22:56:49 +0200

qt6-svg (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 20:48:07 +0200

qt6-svg (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.
  * Update ABI to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Thu, 04 Sep 2025 19:19:03 +0200
