=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,13 @@
 	extra_cmake_args += -DQT_HOST_PATH=/usr
 endif
 
+# enable ccache with corresponding build-profile
+ifneq ($(filter ccache,$(DEB_BUILD_PROFILES)),)
+	extra_cmake_args += -DQT_USE_CCACHE=ON
+endif
+
 %:
-	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja
+	dh $@ --buildsystem=cmake+ninja
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
