=== debian/changelog ===
qt6-svg (6.10.2-0zneon+24.04+noble+unstable+build51) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 10 Feb 2026 05:25:24 +0000

qt6-svg (6.10.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 10 Feb 2026 11:32:50 +1000
