=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.1~),
+               qt6-base-dev (>= 6.10.2~),
                zlib1g-dev
 Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                      qt6-tools-dev (>= 6.10~) <!nodoc>
